[project]
name = "ecu"
version = "0.15"
description = "library to control memetis ECU-P hardware"
authors = [
  { name = "memetis GmbH", email = "support@memetis.com" },
]
license = { file = "LICENSE" }
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: Other/Proprietary License",
    "Operating System :: OS Independent",
]
requires-python = ">=3.8"
dependencies = [
  "packaging",
  "pyserial",
  "intelhex",
  "pyusb",
  "libusb-package ; platform_system != 'Windows'",
  "pywin32 ; platform_system == 'Windows'",
]

[project.urls]
"Homepage" = "https://gitlab.com/memetis/ecu-p/python"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.metadata]
allow-direct-references = true

[tool.pylama]
format = "pylint"
linters = "mccabe,pycodestyle,pyflakes,isort"
skip = ".venv/*"

[tool.mypy]
warn_unused_configs = true
python_executable = ".venv/bin/python"

[[tool.mypy.overrides]]
module = [
  "usb",
  "intelhex",
]
ignore_missing_imports = true
